Bug 1217584 - XChat should be retired in favor of HexChat
Summary: XChat should be retired in favor of HexChat
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xchat
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Debarshi Ray
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-30 17:58 UTC by Patrick Griffis
Modified: 2018-05-03 16:10 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-05-03 16:10:08 UTC


Attachments (Terms of Use)

Description Patrick Griffis 2015-04-30 17:58:23 UTC
The last release of XChat was 2010 and since then the fork HexChat has taken its place entirely fixing numerous issues including security fixes that XChat will never get.

HexChat has been in fedora for a while now and in some respins (MATE) it is even the default already. The issue with XChat still being packaged though is that many users still install it not knowing it is a dead project. Gnome Software even recommends it with a giant banner to new users...

Comment 1 Jan Kurik 2015-07-15 14:12:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 2 Fedora End Of Life 2016-11-24 11:45:37 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Debarshi Ray 2017-02-23 17:11:33 UTC
Yes, let's do it.

I sent a message to desktop@lists.fedoraproject.org to notify the Workstation Working Group: https://lists.fedoraproject.org/archives/list/desktop@lists.fedoraproject.org/thread/KLH6FNU5WW253TKQXZS3CCICUID25X6Q/

I don't foresee too many objections.

Comment 4 Fedora End Of Life 2017-02-28 09:43:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 5 Debarshi Ray 2017-06-14 16:50:50 UTC
(In reply to Debarshi Ray from comment #3)
> Yes, let's do it.
> 
> I sent a message to desktop@lists.fedoraproject.org to notify the
> Workstation Working Group:
> https://lists.fedoraproject.org/archives/list/desktop@lists.fedoraproject.
> org/thread/KLH6FNU5WW253TKQXZS3CCICUID25X6Q/

It was suggested that we remove caillon as the point of contact for all his packages. So, I have taken this to devel@lists.fedoraproject.org now:
https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/7XWAFFRL6LEZ6BQRXUZSRZNXQ5WH6TTB/

Comment 6 Itamar Reis Peixoto 2017-11-01 13:24:16 UTC
hexchat should be updated adding provides/obsoletes to xchat

Comment 7 Fedora End Of Life 2018-05-03 08:51:20 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 8 Debarshi Ray 2018-05-03 16:10:08 UTC
xchat was removed from Fedora 27.


Note You need to log in before you can comment on or make changes to this bug.